# $Revision: 1.55 $, $Date: 2002/10/04 14:40:51 $
%define		SSLVER 2.8.11
%define		APACHEVER 1.3.27
%define 	apxs	/usr/sbin/apxs
Summary:	An SSL module for the Apache Web server
Summary(cs):	Modul s podporou silnho ifrovn pro WWW server Apache
Summary(da):	Krypteringsunderstttelse for webtjeneren Apache
Summary(de):	SSL-Modul fr den Apache-Webserver
Summary(es):	Soporte criptofrfico para el servidor de red Apache
Summary(fr):	Un module SSL pour le serveur Web Apache
Summary(id):	Interpreter Perl untuk web server Apache
Summary(is):	Perl tlkur fyrir Apache vefjninn
Summary(it):	Supporto di crittografia per il server Web Apache
Summary(ja):	Apache Web СѤΰŹ極ݡ
Summary(no):	Krypteringssttte for webtjeneren Apache
Summary(pl):	Modu SSL dla serwera WWW Apache
Summary(pt):	O suporte de cifra para o servidor Web Apache
Summary(ru):	  SSL  Apache
Summary(sl):	Podpora za ifriranje za spletni strenik Apache
Summary(sv):	Kryptografistd till webbservern Apache
Summary(uk):	 Ц SSL  Apache
Name:		apache-mod_ssl
Version:	%{SSLVER}_%{APACHEVER}
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.modssl.org/source/mod_ssl-%{SSLVER}-%{APACHEVER}.tar.gz
Source1:	%{name}.conf
Source2:	%{name}-server.crt
Source3:	%{name}-server.key
Source4:	%{name}-sxnet.html
Source5:	%{name}.logrotate
Patch1:		mod_ssl-cca-openssl-path.patch
Patch2:		mod_ssl-db3.patch
URL:		http://www.modssl.org/
BuildRequires:	apache(EAPI)-devel = %{APACHEVER}
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	openssl-tools >= 0.9.6a
BuildRequires:	db3-devel
BuildRequires:	%{apxs}
Requires:	apache(EAPI) >= %{APACHEVER}
Provides:	mod_ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	mod_ssl

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
The mod_ssl project provides strong cryptography for the Apache 1.3
webserver via the Secure Sockets Layer (SSL v2/v3) and Transport Layer
Security (TLS v1) protocols by the help of the Open Source SSL/TLS
toolkit OpenSSL, which is based on SSLeay from Eric A. Young and Tim
J. Hudson.

The mod_ssl package was created in April 1998 by Ralf S. Engelschall
and was originally derived from software developed by Ben Laurie for
use in the Apache-SSL HTTP server project. The mod_ssl package is
licensed under a BSD-style licence, which basically means that you are
free to get and use it for commercial and non-commercial purposes.

%description -l cs
"Modul mod_ssl pro WWW server Apache umouje pouit silnho
ifrovn\n" "komunikace klienta (WWW prohle) a serveru - SSL
(Secure Sockets Layer)\n" "a TLS (Transport Layer Security)
protokoly."

%description -l de
Das mod_ssl-Projekt stellt kryptographie fr den Apache 1.3-Webserver
ber Secure Sockets Layer (SSL v2/v3) und Transport Layer Security
(TLS v1)-Protokolle zur Verfgung. Dazu wird das Open Source
SSL/TLS-Toolkit OpenSSL, das auf SSLeay basiert, verwendet.

%description -l es
"El mdulo modd_ssl proporciona la criptografa para el servidor
Web\n" "Apache, los sockets seguros, los protocolos de la seguridad
(SSL) y de la\n" "capa tranparente (TLS)."

%description -l fr
Le projet mod_ssl fournit de la forte cryptographie pour le serveur
web Apache 1.3 via les protocoles Secure Sockets Layer (SSL v2/v3) et
Transport Layer Security (TLS v1) avec l'aide du kit d'outils Open
Source SSL/TLS, OpenSSL, base sur SSLeay d'Eric A. Young et Tim J.
Hudson.

%description -l it
"Il modulo mod_ssl fornisce un supporto di crittografia molto potente
per\n" "il server Web Apache tramite i protocolli SSL (Secure Sockets
Layer) e i\n" "protocolli TLS (Transport Layer Security)."

%description -l ja
"mod_ssl ⥸塼ϡSSL (Secure Sockets Layer)  TLS
(Transport \n" "Layer Security) ץȥ𤷤 Apache Web
СѤζϤʰŹ沽\n" "ǽ󶡤ޤ"

%description -l pl
Projekt mod_ssl ma za zadanie zapewni serwerowi www Apache 1.3 wysoki
poziom szyfrowania dziki protokoom Secure Sockets Layer (SSL v2/v3)
i Transport Layer Security (TLS v1) przy pomocy pakiety narzdziowego
Open Source SSL/TSL -- OpenSSL, stworzonego na podstawie SSLeay Erica
A.Younga i Tima J.Hudsona.

%description -l pt
"O mdulo mod_ssl oferece uma criptografia robusta para o servidor
Web\n" "Apache atravs dos protocolos SSL (Secure Sockets Layer) e TLS
(Transport\n" "Layer Security)."

%description -l ru
Apache --        
  Internet' (   ,  50%%  
).       SSL v2, v3  TLS v1.

%description -l sv
"Modulen mod_ssl frser webbservern Apache med stark kryptografi
via\n" "protokollen SSL (Secure Sockets Layer) och TLS (Transport
Layer\n" "Security)."

%description -l uk
Apache --  צ   http. 
Φ   צԦ (դ ¦   50%%
Ҧ).  Ӧ ͦ Ц SSL v2, v3  TLS v1.

%package -n apache-mod_sxnet
Summary:	Strong Extranet module for mod_ssl and apache
Summary(fr):	Module d'Extranet Fort pour Apache et mod_ssl
Summary(pl):	Modu Strong Extranet dla pakietu mod_ssl i serwera WWW Apache
Group:		Networking/Daemons
Requires:	apache(EAPI) >= %{APACHEVER}

%description -n apache-mod_sxnet
The Strong Extranet allows you to use digital certificates to
authenticate users on your web server. Typically, your users enroll in
your Strong Extranet, under your control, through the Thawte Personal
Cert System.

%description -n apache-mod_sxnet -l fr
L'Extranet Fort vous permet d'utiliser des certificats numeriques pour
authentifier les usagers sur votre serveur web. Typiquement, vos
usagers s'enrolent dans votre Extranet Fort, sous votre controle, a
travers le Thawte Personal Cert System.

%description -n apache-mod_sxnet -l pl
Pakiet Strong Extranet umoliwia uywanie cyfrowych certyfikatw dla
uwierzytelniania uytkownikw serwera www. Zwykle uytkownicy
rejestruj si pod opiek administratora poprzez Thawte Personal Cert
System.

%prep
%setup -q -n mod_ssl-%{SSLVER}-%{APACHEVER}
%patch1 -p1
%patch2 -p1

%build
SSL_BASE=SYSTEM
export SSL_BASE
%configure \
	--with-apxs=%{apxs} \
	--enable-shared=ssl \
	--with-ssl=%{_prefix}

%{__make}

cd pkg.contrib
tar xvf sxnet.tar
cd sxnet
%{apxs} -DMalloc=malloc -DFree=free -I%{_includedir}/openssl -L%{_libdir} -l ssl -l crypto -c mod_sxnet.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/mod_ssl,%{_pkglibdir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/httpd \
	$RPM_BUILD_ROOT/etc/logrotate.d

install pkg.sslmod/libssl.so $RPM_BUILD_ROOT%{_pkglibdir}
install pkg.contrib/sxnet/mod_sxnet.so $RPM_BUILD_ROOT%{_pkglibdir}

install pkg.contrib/*.sh $RPM_BUILD_ROOT%{_libdir}/mod_ssl
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/mod_ssl.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/server.crt
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/server.key
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/apache-mod_ssl

mv -f pkg.ssldoc ssl-doc

install %{SOURCE4} sxnet.html

%post
if [ -f %{_sysconfdir}/httpd/httpd.conf ] && \
   ! grep -q "^Include.*/mod_ssl.conf" %{_sysconfdir}/httpd/httpd.conf; then
	echo "Include /etc/httpd/mod_ssl.conf" >> %{_sysconfdir}/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
        /etc/rc.d/init.d/httpd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
fi

%preun
if [ "$1" = "0" ]; then
	grep -E -v "^Include.*mod_ssl.conf" %{_sysconfdir}/httpd/httpd.conf > \
		%{_sysconfdir}/httpd/httpd.conf.tmp
	mv -f %{_sysconfdir}/httpd/httpd.conf.tmp %{_sysconfdir}/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
	        /etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%post -n apache-mod_sxnet
/usr/sbin/apxs -e -a -n sxnet %{_pkglibdir}/mod_sxnet.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun -n apache-mod_sxnet
if [ "$1" = "0" ]; then
	/usr/sbin/apxs -e -A -n sxnet %{_pkglibdir}/mod_sxnet.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi
						
%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/mod_ssl.conf
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/server.crt
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/server.key
%attr(640,root,root) %config(noreplace) /etc/logrotate.d/*
%doc ANNOUNCE CHANGES CREDITS NEWS README*
%doc ssl-doc

%attr(755,root,root) %{_pkglibdir}/libssl.so

%dir %{_libdir}/mod_ssl
%attr(755,root,root) %{_libdir}/mod_ssl/*.sh

%files -n apache-mod_sxnet
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/mod_sxnet.so
%doc sxnet.html

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_ssl.spec,v $
Revision 1.55  2002/10/04 14:40:51  qboosh
- updated to 2.8.11 for apache 1.3.27

Revision 1.54  2002/06/27 07:36:29  qboosh
- SECURITY update to 2.8.10 (off by one up to 2.8.9)

Revision 1.53  2002/06/19 18:21:41  qboosh
- updated to 2.8.9-1.3.26
- new %%doc

Revision 1.52  2002/06/19 10:38:32  qboosh
- allow build with apache 1.3.26 (seems to work), release 2

Revision 1.51  2002/05/25 10:27:41  kloczek
- updated to 2.8.8-1.3.24 (merge DEVEL branch).

Revision 1.50  2002/04/25 15:46:52  arturs
fixed a small typo

Revision 1.49  2002/03/05 19:58:50  qboosh
- fixed undefined symbols (Malloc,Free) in mod_sxnet
- added post/preun for mod_sxnet
- release 2

Revision 1.48  2002/02/28 10:59:03  qboosh
- SECURITY update to 2.8.7-1.3.23

Revision 1.47  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/02/17 21:12:15  ankry
- release 3

Revision 1.44  2002/02/17 19:01:43  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.43  2002/02/17 05:03:01  kloczek
- release 2.

Revision 1.42  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.41  2002/02/10 21:06:50  kloczek
- adapterized.

Revision 1.40  2002/02/09 13:23:44  kloczek
- updated to 2.8.6-1.3.23: merge DEVEL branch to HEAD.

Revision 1.39  2002/01/18 02:12:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/11/26 17:06:13  blues
- typo

Revision 1.37  2001/11/24 01:18:59  kloczek
- added mod_ssl to Obsoletes/Provides for allow upgrade from RH vesion.

Revision 1.36  2001/10/18 13:46:31  mkierus
- updated to 2.8.5 (Apache 1.3.22)

Revision 1.35  2001/10/01 10:04:29  misiek
- release 2 (there are users which installed broken release 1)

Revision 1.34  2001/09/25 19:30:25  qboosh
- argh! db1 patch is out, updated db3 patch is back - httpd starts now

Revision 1.33  2001/09/24 15:04:22  zagrodzki
- updated to 2.8.4 (Apache 1.3.20)

Revision 1.32  2001/05/09 02:22:41  kloczek
- typo.

Revision 1.31  2001/05/09 02:06:41  kloczek
- updated to 2.8.3-1.3.19 and rebuild against openssl 0.9.6a.

Revision 1.30  2001/04/13 16:27:56  qboosh
- logrotate ssl_{engine,request}_log
- moved /home/httpd/html/docs/ssl-doc to %%doc
- changed %%postun to %%preun and fixed - don't disable mod_ssl on upgrade
- release 4

Revision 1.29  2001/03/14 20:09:47  kloczek
- release 3.

Revision 1.28  2001/03/14 17:41:08  qboosh
- missing dir: %%{_libdir}/mod_ssl

Revision 1.27  2001/03/08 08:26:50  kloczek
- release 2,
- require in mod_sxnet apache(EAPI) not apache,
- "apache(EAPI) = %%{APACHEVER}" changed to "apache(EAPI) >= %%{APACHEVER}".

Revision 1.26  2001/01/30 23:57:03  areq
- mod_ssl-2.8.0_1.3.17 NYF

Revision 1.25  2001/01/05 16:09:33  zagrodzki
- release 2
- fixed openssl path in cca.sh
- attr(755) on *.sh

Revision 1.24  2000/12/12 10:08:28  waszi
- apxs -> /usr/sbin/apxs

Revision 1.23  2000/11/24 18:25:51  kloczek
- s#apache-devel(EAPI)#apache(EAPI)-devel#

Revision 1.22  2000/11/24 18:09:37  kloczek
- added "BuildRequires: apache-devel(EAPI) = %%{APACHEVER}".

Revision 1.21  2000/11/13 16:46:44  baggins
- updated to 2.7.1-1.3.14
- added db3 patch - solve dbm problem

Revision 1.20  2000/09/21 03:38:44  kloczek
- adapterized.

Revision 1.19  2000/09/20 07:34:29  zagrodzki
- BuildReq: openssl-tools

Revision 1.18  2000/09/18 20:31:22  areq
- updated mod_ssl to 2.6.6

Revision 1.17  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.16  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.15  2000/05/01 19:22:47  bonkey
- removed duplicated entry for ssl-doc

Revision 1.14  2000/05/01 19:19:34  bonkey
- added "/etc/httpd" to "Include mod_ssl.conf" in %%post

Revision 1.13  2000/05/01 18:39:12  bonkey
- update to 2.6.4

Revision 1.12  2000/04/23 00:00:42  bonkey
- stupid, but dangerous bug in postun -- httpd.conf had been being destroyed
- documentation moved to _docdir with soft links to /home/httpd/html/docs
- cosmetics in BuildRequires

Revision 1.11  2000/04/20 22:27:00  bonkey
- updated to 2.6.3_1.3.12

Revision 1.10  2000/04/04 18:37:43  bonkey
- adapter'ized a little
- descriptions -l pl
- /home/httpd/html/* -> /home/httpd/html/docs (as in php4?)

Revision 1.9  2000/04/04 18:05:22  kloczek
- s#%{_libdir}/apache#%{_pkglibdir}#.

Revision 1.8  2000/04/04 18:01:22  kloczek
- fix: all %config files moved to /etc/httpd.

Revision 1.7  2000/04/04 00:42:37  kloczek
- added openssl-devel to BuildRequires.

Revision 1.6  2000/04/04 00:23:33  kloczek
- updated to 2.6.2,
- now build correctly but need testing.

Revision 1.5  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.3  2000/02/02 11:05:19  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.2  1999/10/24 08:00:05  kloczek
- rewrited in PLD style,
- fixed %postun,
- sxnet subpackage changed to -n apache-mod_snex,
- updated to 2.4.6,
- added URL.

* Fri Jun 25 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 2.3.5
- spec file cleanups

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- moved documentation in html
- rebuilt for the new optimized apache

* Sun May 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.1
- add fr locale
- added sxnet (Secure ExtraNet) package from Thawte

* Sun May 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS
- add de locale
- don't require openssl-devel
